[Beowulf] can't compile LAPACK3E-1.2 with f90 from gcc-4.0.0

Mack.Joseph at epamail.epa.gov Mack.Joseph at epamail.epa.gov
Tue Apr 26 13:59:56 EDT 2005


Joseph Mack PhD, High Performance Computing & Scientific Visualisation
LMIT, Supporting the EPA Research Triangle Park, NC 919-541-0007 Federal
Infrastructure Contact-Ravi Nair 919-541-5467 - nair.ravi at epa.gov,
Federal Visualization  Contact - Joe Retzer, Ph.D. 919-541-4190 -
retzer.joseph at epa.gov



 gcc-4.0.0 with f90 support was released recently.  It
 compiles fine under Linux 2.4.28, libc-2.3.2.
 I tried the f90 with LAPACK.
 When compiling slabrd.F, I get an error recognising
 the generic interface

 Error: Generic subroutine 'la_gemv' at (1) is not an intrinsic
 subroutine in file slabrd.F:167

 I know nothing about f90. Has anyone else tried it before I go
 to the gcc people?

 Thanks Joe

_______________________________________________
Beowulf mailing list, Beowulf at beowulf.org
To change your subscription (digest mode or unsubscribe) visit http://www.beowulf.org/mailman/listinfo/beowulf



More information about the Beowulf mailing list